package com.xintong.visualinspection.visuallnspection_qzd.dao;

import com.xintong.visualinspection.bean.FwqStatisticsBean;
import com.xintong.visualinspection.pojo.fwq.ServiceAreaStatistic;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 文件名：FwqCheckOtherDao
 * 版本信息：日期：2018/5/2 Copyright 江苏省交通规划设计院 Corporation 2018 版权所有.
 */
@Mapper
public interface FwqStatisticsDao {
    List<FwqStatisticsBean> getselectFeeStationOperationScoreDetail(FwqStatisticsBean obj);

    List<FwqStatisticsBean> selectFeeStationCheckNum(FwqStatisticsBean obj);

    List<FwqStatisticsBean> selectFeeStationCheckedPersonScoreDetail(FwqStatisticsBean obj);

    List<FwqStatisticsBean> selectStatistics(FwqStatisticsBean obj);

    List<FwqStatisticsBean> selectCheckedTimes(FwqStatisticsBean obj);

    List<FwqStatisticsBean> selectOneCheckedDetailInfo(FwqStatisticsBean obj);

    List<FwqStatisticsBean> selectOneCheckedInfoData(FwqStatisticsBean obj);

    List<FwqStatisticsBean> selectOneCheckedItemInfo(FwqStatisticsBean obj);

    List<FwqStatisticsBean> selectYearScoreInfo(FwqStatisticsBean obj);

    List<FwqStatisticsBean> selectFeeStationCheckedScore(FwqStatisticsBean obj);

    List<FwqStatisticsBean> selectFeeStationScoreInfo(FwqStatisticsBean obj);

    List<FwqStatisticsBean> selectCheckedItemScoreInfo(FwqStatisticsBean obj);

    List<ServiceAreaStatistic> selectlimituser(ServiceAreaStatistic obj);
}
